Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1Encodable

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable

All Implemented Interfaces:
  DEREncodable

Direct Known Subclasses:
  AlgorithmIdentifier, AuthorityInformationAccess, BasicConstraints, BasicOCSPResponse, CertID, CertStatus, CrlID, DisplayText, DistributionPoint, DistributionPointName, NoticeReference, OCSPRequest, OCSPResponse, OtherRecipientInfo, PasswordRecipientInfo, PolicyInformation, PolicyMappings, PolicyQualifierInfo, Request, ResponderID, ResponseBytes, ResponseData, RevokedInfo, ServiceLocator, Signature, SingleResponse, TBSRequest, UserNotice

public abstract class ASN1Encodable
extends java.lang.Object
implements DEREncodable

Constructor Summary
`ASN1Encodable()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`DERObject` | `getDERObject()`
`byte[]` | `getEncoded()`
`int` | `hashCode()`
`abstract DERObject` | `toASN1Object()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1Encodable

    public ASN1Encodable()

Method Detail

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

### toASN1Object

    public abstract DERObject toASN1Object()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD